package com.qmth.distributed.print.business.bean.dto;

import io.swagger.annotations.ApiModelProperty;

import java.io.File;
import java.io.Serializable;

/**
 * @Description: 试卷pdf dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/4/26
 */
public class PaperPdfDto implements Serializable {

    @ApiModelProperty(name = "文件")
    File file;

    @ApiModelProperty(name = "页面大小")
    int pages;

    @ApiModelProperty(name = "卷型")
    String type;

    public PaperPdfDto() {

    }

    public PaperPdfDto(File file, int pages) {
        this.file = file;
        this.pages = pages;
    }

    public PaperPdfDto(String type, File file, int pages) {
        this.type = type;
        this.file = file;
        this.pages = pages;
    }

    public File getFile() {
        return file;
    }

    public void setFile(File file) {
        this.file = file;
    }

    public int getPages() {
        return pages;
    }

    public void setPages(int pages) {
        this.pages = pages;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }
}
